> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bank accounts

<AccordionGroup>
  <Accordion title="bexio" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/bexio.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=1725cd998107a00ea8f7f9a83c250e29" width="24" height="24" data-path="logo/bexio.svg">
    Supported filters: `none`

    Support pagination: `true`

    Support rawData: `true`

    <br />

    Supported Response Fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="bankName" type="string" />

    <ResponseField name="bic" type="string" />

    <ResponseField name="currency" type="string" />

    <ResponseField name="description" type="string" />

    <ResponseField name="iban" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="number" type="string" />
  </Accordion>

  <Accordion title="sevdesk" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sevdesk.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=2b266052b2531cf2995f78c2aecf6019" width="24" height="24" data-path="logo/sevdesk.svg">
    Supported filters:

    * `lastModifiedAt`

    Support pagination: `true`

    Support rawData: `true`

    <br />

    Supported Response Fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="balance" type="number" />

    <ResponseField name="bic" type="string" />

    <ResponseField name="createdDate" type="string" />

    <ResponseField name="currency" type="string" />

    <ResponseField name="fileType" type="string">
      Available options:
      `CSV`, `MT940`,
    </ResponseField>

    <ResponseField name="iban" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="number" type="string" />

    <ResponseField name="status" type="enum">
      Available options:
      `ACTIVE`, `ARCHIVED`
    </ResponseField>

    <ResponseField name="type" type="string">
      Available options:
      `PAYMENT_PROVIDER`, `CURRENT_ASSET`
    </ResponseField>

    <ResponseField name="updatedDate" type="string" />
  </Accordion>
</AccordionGroup>


## OpenAPI

````yaml GET /accounting/bankAccounts
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /accounting/bankAccounts:
    get:
      tags:
        - accounting
      operationId: getBankAccounts
      parameters:
        - name: page
          required: false
          in: query
          schema:
            type: number
        - name: limit
          required: false
          in: query
          schema:
            enum:
              - 5
              - 10
              - 20
              - 50
              - 100
            type: number
        - name: companyId
          required: false
          in: query
          schema:
            type: string
        - name: environmentName
          in: query
          schema:
            type: string
          required: false
        - name: lastModifiedAt
          required: false
          in: query
          schema:
            type: number
        - name: rawData
          required: false
          in: query
          schema:
            type: boolean
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
            example: example value
          required: true
        - name: X-ACCOUNT-KEY
          description: Account key
          in: header
          schema:
            type: string
            example: example value
          required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponseDto'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/BankAccountResponseDto'
                        example:
                          - id: '5570042'
                            balance: 100
                            bankName: F. van Lanschot Bankiers
                            bic: SNSBNL2A
                            createdDate: '2025-01-01T00:00:00Z'
                            currency: EUR
                            description: Business Savings Account
                            fileType: CSV
                            iban: NL46INGB3591831883
                            name: Business Bank
                            number: '0150'
                            system: Internal
                            status: ACTIVE
                            type: GIRO
                            updatedDate: '2025-02-01T00:00:00Z'
components:
  schemas:
    BaseResponseDto:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/MetaResponse'
        data:
          oneOf:
            - type: object
            - type: array
    BankAccountResponseDto:
      type: object
      properties:
        id:
          type: string
        balance:
          type: number
        bankName:
          type: string
        bic:
          type: string
        createdDate:
          type: string
        currency:
          type: string
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - BWP
            - BYR
            - BZD
            - CAD
            - CDF
            - CHF
            - CLP
            - CNY
            - COP
            - CRC
            - CUC
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EEK
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GQE
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LTL
            - LVL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRO
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZM
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USD
            - UYU
            - UZS
            - VEB
            - VND
            - VUV
            - WST
            - XAF
            - XCD
            - XDR
            - XOF
            - XPF
            - YER
            - ZAR
            - ZMK
            - ZWR
        description:
          type: string
        fileType:
          type: string
          enum:
            - CSV
            - MT940
        iban:
          type: string
        name:
          type: string
        number:
          type: string
        system:
          type: string
        status:
          type: string
          enum:
            - ACTIVE
            - ARCHIVED
        type:
          type: string
          enum:
            - CREDIT_CARD
            - GIRO
            - PAYMENT_PROVIDER
            - CURRENT_ASSET
            - OTHER
        updatedDate:
          type: string
    MetaResponse:
      type: object
      properties:
        warnings:
          type: array
          items:
            type: string
            example: Field not used by target system
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
    PaginationResponse:
      type: object
      properties:
        total:
          type: number
          example: 125
        perPage:
          type: number
          example: 50
        currentPage:
          type: number
          example: 1
        totalPages:
          type: number
          example: 3

````